/******************************************************\
*
*  Base TouchCarousel stylesheet
*   
*  Contents:
*
*   1. Main containers
*   2. Carousel items
*   3. Arrows(direction) navigation
*   4. Paging navigation
*   5. Scrollbar
*   6. Cursors
*
\******************************************************/





/******************************************************\
*
*  1. Main containers (carousel size, background)
*
\******************************************************/

.touchcarousel {
	position: relative;
	width: 600px;
	height: 400px;		
	
	/* style is removed after carousel is inited, use !important if you want to keep it*/
	overflow: hidden; 
}
.touchcarousel .touchcarousel-container {
	position: relative;    
    margin: 0;
    padding: 0;
    list-style: none;    
	left: 0;
}
.touchcarousel .touchcarousel-wrapper {
	position: relative;
	overflow:hidden;
	width: 100%;
	height: 100%;
}





/******************************************************\
*
*  2. Carousel items (item styling, spacing between items)
*
\******************************************************/

.touchcarousel .touchcarousel-item {
	/* use margin-right for spacing between items */
	margin: 0 0 0 0;
	padding: 0;	
	float: left;		
}

/* Last carousel item  */
.touchcarousel .touchcarousel-item.last {
	margin-right: 0 !important;		
}





/******************************************************\
*
*  3. Arrows(direction) navigation
*
\******************************************************/

/* arrow hitstate and icon holder */
.touchcarousel .arrow-holder {
	height: 100%;
	width: 45px;
	position: absolute;
	top: 0;
	display: block;
	cursor: pointer;	
	z-index: 25;	
}
.touchcarousel .arrow-holder.left {	
	left: 0;	
}
.touchcarousel .arrow-holder.right {	
	right: 0;
}

/* arrow icons */
.touchcarousel .arrow-icon{		
	width: 45px;
	height: 90px;
	top:50%;
	margin-top:-45px;	
	position: absolute;	
	cursor: pointer;	
}
.touchcarousel .arrow-icon.left { }
.touchcarousel .arrow-icon.right { }
.touchcarousel .arrow-holder:hover .arrow-icon { }
.touchcarousel .arrow-holder.disabled { cursor: default; }
.touchcarousel .arrow-holder.disabled .arrow-icon { cursor: default; }





/******************************************************\
*
*  4. Paging navigation
*
\******************************************************/

.touchcarousel .tc-paging-container {
	width:100%;
	overflow:hidden;
	position:absolute;
	margin-top:-20px;
	z-index:25;
}
.touchcarousel .tc-paging-centerer {	
	float: left;
	position: relative;
	left: 50%;		
}
.touchcarousel .tc-paging-centerer-inside {
	float: left;
	position: relative;
	left: -50%;
}

/* Paging items */
.touchcarousel .tc-paging-item {			
	float:left;	
	cursor:pointer;		
	position:relative;
	display:block;	
	text-indent: -9999px;	
}
.touchcarousel .tc-paging-item.current { }
.touchcarousel .tc-paging-item:hover { }





/******************************************************\
*
*  5. Scrollbar
*
\******************************************************/
.touchcarousel .scrollbar-holder {
	position: absolute;
	z-index: 30;
	left: 6px;
	right: 6px;	
	bottom: 5px;
	height:4px;
	overflow: hidden;
}
.touchcarousel .scrollbar {
	position: absolute;
	left:0;	
	height:4px;
	bottom: 0px;
}
.touchcarousel .scrollbar.dark {
	background-color: rgb(130, 130, 130);	
	background-color: rgba(0, 0, 0, 0.5);
}
.touchcarousel .scrollbar.light {
	background-color: rgb(210, 210, 210);	
	background-color: rgba(255, 255, 255, 0.5);	
}





/******************************************************\
*
*  6. Cursors
*
\******************************************************/

/* IE and Opera use "move", FF uses -moz-grab */
.touchcarousel .grab-cursor{ cursor:url(grab.png) 8 8, move; }
.touchcarousel .grabbing-cursor{ cursor:url(grabbing.png) 8 8, move; }

/* Cursor that used when mouse drag is disabled */
.touchcarousel .auto-cursor{ cursor:auto; }




/* Copyright 2011, Dmitry Semenov, http://dimsemenov.com */


















		
		/**
		* Carousel with image and text (horizontal)
		**/
		#carousel-image-text-horizontal {
			width: 940px;
			height: 70px;
			margin: 0 auto;
		}
		#carousel-image-text-horizontal .touchcarousel-item {
			width: 216px;
			height: 60px;
			margin-right: 12px;
			background-color: #F0F3F3;			
			padding: 5px;
			position: relative;
		}
		#carousel-image-text-horizontal img, 
		#carousel-image-text-horizontal h4,
		#carousel-image-text-horizontal p {
			float:left;
			position: relative;
			margin: 0;
			padding: 0;	
			border: 0;			
		}		
		#carousel-image-text-horizontal img {			
			width: 60px;
			height: 60px;
		}
		#carousel-image-text-horizontal .rblock {
			width: 138px;
			float: left;
			margin-left: 7px;
		}
		#carousel-image-text-horizontal h4 {
			font: bold 13px/20px Helvetica, Arial, sans-serif;
			color: #000;
			width: 140px;
		}
		#carousel-image-text-horizontal p {			
			font: normal 13px/20px Helvetica, Arial, sans-serif;
			color: #555;
		}






		/**
		* Carousel with a single image per view
		**/
		#carousel-single-image {
			width: 400px;
			height: 400px;
			margin: 0 auto;			
			background: #242021;
		}
		#carousel-single-image .touchcarousel-container {
			height: 100%;
			background: url(demo-images/wood-pattern.jpg) repeat;
		}
		#carousel-single-image .touchcarousel-item {
			margin-right: 0;
			width: 400px;
			height: 400px;
		}
		#carousel-single-image img {
			width: 300px;
			height: 300px;
			margin: 47px 0 0 47px;	
			
			float:left;
			position: relative;
			display: block;
			padding: 3px;
			background: #FFF;
			border: 0;
			
			-webkit-box-shadow: 0 1px 6px rgba(0,0,0,0.6);
			-moz-box-shadow: 0 1px 6px rgba(0,0,0,0.6);
			box-shadow: 0 1px 6px rgba(0,0,0,0.6);
		}
		#carousel-single-image .tc-paging-container {
			margin-top: -29px;
		}





		/**
		* Carousel with image and text, custom skinned scrollbar
		**/
		#carousel-image-and-text {
			width: 700px;
			height: 400px;
			margin: 0 auto;	
		}	
		#carousel-image-and-text .arrow-holder {
			height: 400px;
		}		
		#carousel-image-and-text .touchcarousel-item {
			margin-right: 15px;	
			width: 220px;
			height: 400px;	
				
		}
		#carousel-image-and-text .item-block {
			width: 220px;
			height: 200px;
			display: block;
		}
		#carousel-image-and-text .item-block img,
		#carousel-image-and-text .item-block h4, 
		#carousel-image-and-text .item-block p {
			float: left;
			position: relative;
			display: block;
			margin: 0;			
		}
		#carousel-image-and-text .item-block img {
		width: 200px;
		height: 145px;
		border: 0;
		padding: 10px;
		margin-bottom: 10px;
		background-color: #FFFFFF;
		-webkit-box-shadow: #666 1px 2px 3px;
		-moz-box-shadow: #666 1px 2px 3px;
		box-shadow: #666 1px 2px 3px;
		behavior: url(/css/PIE.htc);
		}
		#carousel-image-and-text .item-block {			
			text-decoration: none;
			color: inherit;			
		}					
		#carousel-image-and-text .item-block h4 {
			font-family: Arial, Helvetica, sans-serif;
	color: #0080FF;
	width: 210px;
	height: auto;
			-webkit-transition: color 0.2s ease-out; 
			-moz-transition: color 0.2s ease-out;
	transition: color 0.2s ease-out;
	margin: 0px;
	padding-top: 0px;
	padding-right: 0px;
	padding-bottom: 0px;
	padding-left: 8px;
	font-size: 15px;
	font-weight: normal;
		}

		#carousel-image-and-text .item-block p {
	color: #333333;
	width: 210px;
	font-family: Helvetica, Arial, sans-serif;
	font-size: 13px;
	font-style: normal;
	line-height: 1.6;
	font-weight: normal;
	font-variant: normal;
	padding-top: 0;
	padding-right: 0;
	padding-bottom: 0;
	padding-left: 6px;
		}
		#carousel-image-and-text .scrollbar-holder {
			background: #9597A6;
			bottom: 0;
			height: 5px;
			left: 0;
			right: 0;
			-webkit-border-radius: 30px;
			-moz-border-radius: 30px;
			border-radius: 30px;
			behavior: url(/css/PIE.htc);
		}
		#carousel-image-and-text .scrollbar {
			background-color: #359AFF !important;
			bottom: 0;
			height: 5px;			
			-webkit-border-radius: 30px;
			-moz-border-radius: 30px;
			border-radius: 30px;
			behavior: url(/css/PIE.htc);
		}
		
		
		
		
		/**
		* "Free-scroll" gallery
		**/
		#carousel-gallery {
	width: 84%;
	margin: 0px;
	overflow: hidden !important;
	padding-top: 30px;
	padding-right: 8%;
	padding-left: 8%;
		}		
		#carousel-gallery .touchcarousel-wrapper {
	overflow: visible;

		}
		#carousel-gallery .touchcarousel-item {
	height: 380px;
	width: 270px;
		}
		#carousel-gallery .touchcarousel-item h3{
	font-family: "Times New Roman", Times, serif;
	font-size: 24px;
	position: absolute;
	top: 40px;
	color: #000000;
		}	
		#carousel-gallery .touchcarousel-item h4{
	font-size: 12px;
	color: #333333;
	margin: 0px;
	padding: 0px;
	position: absolute;
	top: 100px;
	width: 140px;
		}
		
		#carousel-gallery .arrow-icon.left {
			left: 25px;				
		}

		#carousel-gallery .arrow-icon.right {
			right: 25px;			
		}
		#carousel-gallery .arrow-holder {
			width: 60px;	
		}
		#carousel-gallery  .scrollbar-holder {
			bottom: 6px;
		}
